<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--   
IGAC proyecto SNC

@author 		juan.agudelo
@version 		2.0
@description 	Formulario usado en ejecución  
@cu 			CU-CO-V-01
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <h:panelGrid columns="5" cellspacing="7"
                 rendered="#{consultaFichaMatrizPredio.existenFichaMatrizPredio}">
        <h:outputLabel value="Número predial: " for="numPredialId"
                       styleClass="outputLabelStyle" />
        <h:outputText id="numPredialId"
                      value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.numeroPredial}"
                      styleClass="outputTextStyle" />

        <p:spacer width="14" height="0" />
        <h:outputLabel value="NIP: " for="nip" styleClass="outputLabelStyle" />
        <h:outputText styleClass="outputTextStyle" id="nip"
                      value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.nip}" />

        <h:outputLabel value="Nombre PH o Condominio: "
                       for="nombrePHCondominio" styleClass="outputLabelStyle" />
        <h:outputText id="nombrePHCondominio"
                      value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.nombre}"
                      styleClass="outputTextStyle" />
    </h:panelGrid>

    <h:panelGrid columns="2"
                 rendered="#{consultaFichaMatrizPredio.existenFichaMatrizPredio}">

        <p:fieldset id="idInfoAreasP">
            <legend>
                <h:outputText value="Información de áreas" styleClass="legendTitle" />
            </legend>

            <h:panelGrid columns="3" cellspacing="7">

                <h:outputLabel value="Área total terreno: "
                               styleClass="outputLabelStyle" />

                <p:outputPanel layout="block"  style="text-align:right" rendered="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.predioRural}">

                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.areaTerrenoHectareasMetros[0]}"/>

                    <h:outputLabel value="Ha  " styleClass="outputLabelStyle" />

                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.areaTerrenoHectareasMetros[1]}" />

                </p:outputPanel>


                <p:outputPanel layout="block" style="text-align:right" rendered="#{!consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.predioRural}">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.areaTerrenoFichaMatriz}" />
                </p:outputPanel>

                <h:outputLabel value="m2" styleClass="outputLabelStyle" />


                <h:outputLabel value="Área total terreno privada: "
                               styleClass="outputLabelStyle" />

                <p:outputPanel layout="block" style="text-align:right" rendered="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.predioRural}">

                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTerrenoPrivadaHectareasMetros[0]}"/>

                    <h:outputLabel value="Ha   " styleClass="outputLabelStyle" />

                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTerrenoPrivadaHectareasMetros[1]}" />
                </p:outputPanel>


                <p:outputPanel layout="block" style="text-align:right" rendered="#{!consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.predioRural}">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalTerrenoPrivada}" />
                </p:outputPanel>

                <h:outputLabel value="m2" styleClass="outputLabelStyle" />

                <h:outputLabel value="Área total terreno común: "
                               styleClass="outputLabelStyle" />

                <p:outputPanel layout="block" style="text-align:right" rendered="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.predioRural}">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalTerrenoComunHectareasMetros[0]}"/>

                    <h:outputLabel value="Ha   " styleClass="outputLabelStyle" />

                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalTerrenoComunHectareasMetros[1]}" />

                </p:outputPanel>


                <p:outputPanel layout="block" style="text-align:right" rendered="#{!consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.predioRural}">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalTerrenoComun}" />
                </p:outputPanel>

                <h:outputLabel value="m2" styleClass="outputLabelStyle" />

                <h:outputLabel value="Área total construida: "
                               styleClass="outputLabelStyle" />

                <p:outputPanel layout="block" style="text-align:right" rendered="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.predioRural}">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.areaTotalConstruccionPrivadaHectareasMetros[0]}"/>

                    <h:outputLabel value="Ha   " styleClass="outputLabelStyle" />

                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.areaTotalConstruccionPrivadaHectareasMetros[1]}" />

                </p:outputPanel>


                <p:outputPanel layout="block" style="text-align:right" rendered="#{!consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.predioRural}">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.areaTotalConstruccion}" />
                </p:outputPanel>

                <h:outputLabel value="m2" styleClass="outputLabelStyle" />

                <h:outputLabel value="Área total construida privada: "
                               styleClass="outputLabelStyle" />

                <p:outputPanel layout="block" style="text-align:right" rendered="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.predioRural}">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalConstruidaPrivadaHectareasMetros[0]}"/>

                    <h:outputLabel value="Ha   " styleClass="outputLabelStyle" />

                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalConstruidaPrivadaHectareasMetros[1]}" />

                </p:outputPanel>


                <p:outputPanel layout="block" style="text-align:right" rendered="#{!consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.predioRural}">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalConstruidaPrivada}" />
                </p:outputPanel>

                <h:outputLabel value="m2" styleClass="outputLabelStyle" />

                <h:outputLabel value="Área total construida común: "
                               styleClass="outputLabelStyle" />

                <p:outputPanel layout="block" style="text-align:right" rendered="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.predioRural}">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalConstruidaComunHectareasMetros[0]}"/>

                    <h:outputLabel value="Ha   " styleClass="outputLabelStyle" />

                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalConstruidaComunHectareasMetros[1]}" />

                </p:outputPanel>


                <p:outputPanel layout="block" style="text-align:right" rendered="#{!consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.predioRural}">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.areaTotalConstruidaComun}" />
                </p:outputPanel>

                <h:outputLabel value="m2" styleClass="outputLabelStyle" />

            </h:panelGrid>
        </p:fieldset>

        <h:panelGrid columns="2" cellspacing="7">
            <p:spacer height="0" width="13" />

            <h:panelGrid columns="6" cellspacing="7">
                <h:outputLabel value="Matricula inmobiliaria: "
                               styleClass="outputLabelStyle" />
                <h:outputText styleClass="outputTextStyle"
                              value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.circuloRegistral.codigo}" />
                <h:outputText styleClass="outputTextStyle" value=" - " />
                <h:outputText styleClass="outputTextStyle"
                              value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.numeroRegistro}" />
            </h:panelGrid>
            <p:spacer />

            <p:fieldset id="idDireccionP">
                <legend>
                    <h:outputText value="Direccion" styleClass="legendTitle" />
                </legend>

                <h:outputLabel value="Nombre PH/Condominio: "
                               styleClass="outputLabelStyle" />
                <h:outputText styleClass="outputTextStyle"
                              value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.nombre}" />

                <p:dataTable
                    emptyMessage="No se encontraron direcciones para el predio"
                    value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.predioDireccions}"
                    var="direccion" rowKey="#{direccion.id}">

                    <p:column>
                        <f:facet name="header">  
                            Direccion
                        </f:facet>
                        <h:outputText value="#{direccion.direccion}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">  
                            Direccion Principal
                        </f:facet>
                        <h:outputText value="#{direccion.principal}" />
                    </p:column>
                </p:dataTable>
            </p:fieldset>
        </h:panelGrid>
    </h:panelGrid>


    <h:panelGrid width="100%" id="panelZonas" 
                 rendered="#{consultaFichaMatrizPredio.existenFichaMatrizPredio}">
        <p:fieldset>
            <legend> <h:outputLabel
                    value="Unidades de zonas homogéneas" styleClass="legendTitle" /> </legend>

            <div style="overflow: auto; width: 600px;">
                <h:panelGrid cellspacing="3" cellpadding="3" width="100%">
                    <p:spacer height="10" />
                    <p:dataTable var="unidadZonaHomogenea"
                                 value="#{consultaFichaMatrizPredio.zonasHomogeneas}"
                                 rowKey="#{managedBeanParam.zonasHomogeneas.id}"
                                 id="tablaUnidadesZonasHomogeneasFichaMatriz" paginator="true"
                                 rows="5"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                                 emptyMessage="No existen zonas homogéneas a mostrar">


                        <p:column headerText="Zona Física">
                            <h:outputText value="#{unidadZonaHomogenea.zonaFisica}"
                                          styleClass="outputTextStyle">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Zona Geoeconómica">
                            <h:outputText value="#{unidadZonaHomogenea.zonaGeoeconomica}"
                                          styleClass="outputTextStyle">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Area terreno">
                            <h:outputText value="#{unidadZonaHomogenea.area}"
                                          styleClass="outputTextStyle">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Valor unidad de terreno"
                                  styleClass="moneyColumn">
                            <h:outputText value="#{unidadZonaHomogenea.valorM2Terreno}"
                                          styleClass="outputTextStyle">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Avalúo parcial terreno"
                                  styleClass="moneyColumn">
                            <h:outputText value="#{unidadZonaHomogenea.avaluo}"
                                          styleClass="outputTextStyle">
                                <f:convertNumber type="number" />
                            </h:outputText>
                        </p:column>

                    </p:dataTable>
                </h:panelGrid>

                <p:spacer height="10" />

            </div>
        </p:fieldset>
    </h:panelGrid>

    <p:fieldset
        rendered="#{consultaFichaMatrizPredio.existenFichaMatrizPredio}">
        <legend>
            <h:outputText value="Construcciones comunes" styleClass="legendTitle" />
        </legend>

        <p:spacer height="7" width="0" />
        <p:fieldset>
            <legend>
                <h:outputText value="Unidades convencionales"
                              styleClass="legendTitle" />
            </legend>

            <p:commandButton ajax="true"
                             update="construccionesConvencionalesTbl, btnVCUC" process="@this"
                             id="btnVCUC"
                             icon="#{consultaFichaMatrizPredio.banderaVistaConstruccionesConvencionalesExtendida eq true ? 'ui-icon-arrowstop-1-w':'ui-icon-arrowstop-1-e'}">
                <f:setPropertyActionListener
                    target="#{consultaFichaMatrizPredio.banderaVistaConstruccionesConvencionalesExtendida}"
                    value="#{consultaFichaMatrizPredio.banderaVistaConstruccionesConvencionalesExtendida eq true ? false : true}" />
            </p:commandButton>

            <p:dataTable id="construccionesConvencionalesTbl" scrollWidth="700"
                         scrollable="#{consultaFichaMatrizPredio.banderaVistaConstruccionesConvencionalesExtendida}"
                         emptyMessage="No existen unidades convencionales asociadas al predio."
                         value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.unidadesConstruccionConvencional}"
                         var="ucon" rowKey="#{ucon.id}">

                <p:column headerText="Detalle" style="width: 50px;">
                    <p:commandButton title="Ver detalle de la unidad de construcción"
                                     immediate="true" ajax="true" icon="ui-icon ui-icon-search"
                                     onstart="statusDialog2.show();"
                                     update="#{cc.attrs.thisIdPlusColon}:informacionConstruccionForm"
                                     oncomplete="statusDialog2.hide();infoConstruccionWV.show();">
                        <f:setPropertyActionListener
                            target="#{consultaFichaMatrizPredio.predioUnidadConstruccionSeleccionado}"
                            value="#{ucon}" />
                    </p:commandButton>

                </p:column>

                <p:column headerText="Unidad" style="width: 50px;">
                    <h:outputText value="#{ucon.unidad}" />
                </p:column>

                <p:column headerText="Uso unidad" style="width: 80px;">
                    <h:outputText value="#{ucon.usoConstruccion.nombre}" />
                </p:column>

                <p:column headerText="Piso ubicación" style="width: 70px;">
                    <h:outputText value="#{ucon.pisoUbicacion}" />
                </p:column>

                <p:column headerText="Total pisos unidad" style="width: 70px;">
                    <h:outputText value="#{ucon.totalPisosUnidad}" />
                </p:column>

                <p:column headerText="Habitaciones" style="width: 70px;"
                          rendered="#{consultaFichaMatrizPredio.banderaVistaConstruccionesConvencionalesExtendida}">
                    <h:outputText value="#{ucon.totalHabitaciones}" />
                </p:column>

                <p:column headerText="Baños" style="width: 50px;"
                          rendered="#{consultaFichaMatrizPredio.banderaVistaConstruccionesConvencionalesExtendida}">
                    <h:outputText value="#{ucon.totalBanios}" />
                </p:column>

                <p:column headerText="Locales" style="width: 50px;"
                          rendered="#{consultaFichaMatrizPredio.banderaVistaConstruccionesConvencionalesExtendida}">
                    <h:outputText value="#{ucon.totalLocales}" />
                </p:column>

                <p:column headerText="Puntos" style="width: 50px;"
                          rendered="#{consultaFichaMatrizPredio.banderaVistaConstruccionesConvencionalesExtendida}">
                    <h:outputText value="#{ucon.totalPuntaje}">
                        <f:convertNumber type="number" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Area construida" style="width: 70px;">
                    <h:outputText value="#{ucon.areaConstruida}">
                        <f:convertNumber type="number" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Valor m&#178;" style="width: 50px;"
                          rendered="#{consultaFichaMatrizPredio.banderaVistaConstruccionesConvencionalesExtendida}">
                    <h:outputText value="#{ucon.valorM2Construccion}">
                        <f:convertNumber type="number" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Avalúo unidad" style="width: 70px;">
                    <h:outputText value="#{ucon.avaluo}">
                        <f:convertNumber type="number" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Año de construcción" style="width: 70px;"
                          rendered="#{consultaFichaMatrizPredio.banderaVistaConstruccionesConvencionalesExtendida}">
                    <h:outputText value="#{ucon.anioConstruccion}">
                        <f:convertNumber type="number" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Tipificación" style="width: 50px;"
                          rendered="#{consultaFichaMatrizPredio.banderaVistaConstruccionesConvencionalesExtendida}">
                    <h:outputText value="#{ucon.tipificacion}" />
                </p:column>

            </p:dataTable>
        </p:fieldset>

        <p:spacer width="0" height="7" />
        <p:fieldset
            rendered="#{consultaFichaMatrizPredio.existenFichaMatrizPredio}">
            <legend>
                <h:outputText value="Unidades No convencionales"
                              styleClass="legendTitle" />
            </legend>

            <p:dataTable
                emptyMessage="No existen unidades no convencionales asociadas al predio."
                value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.unidadesConstruccionNoConvencional}"
                var="unocon" rowKey="#{unocon.id}">

                <p:column headerText="Detalle">
                    <p:commandButton title="Ver detalle de la unidad de construcción"
                                     immediate="true" ajax="true" icon="ui-icon ui-icon-search"
                                     onstart="statusDialog2.show();"
                                     update="#{cc.attrs.thisIdPlusColon}:informacionConstruccionForm"
                                     oncomplete="statusDialog2.hide();infoConstruccionWV.show();">
                        <f:setPropertyActionListener
                            target="#{consultaFichaMatrizPredio.predioUnidadConstruccionSeleccionado}"
                            value="#{unocon}" />
                    </p:commandButton>
                </p:column>

                <p:column headerText="Unidad">
                    <h:outputText value="#{unocon.unidad}" />
                </p:column>

                <p:column headerText="Uso unidad">
                    <h:outputText value="#{unocon.usoConstruccion.nombre}" />
                </p:column>

                <p:column headerText="Descripción">
                    <h:outputText value="#{unocon.descripcion}" />
                </p:column>

                <p:column headerText="Avalúo unidad">
                    <h:outputText value="#{unocon.avaluo}">
                        <f:convertNumber type="number" />
                    </h:outputText>
                </p:column>

            </p:dataTable>
        </p:fieldset>

    </p:fieldset>

    <p:fieldset
        rendered="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.condicionPropiedad eq 9 and consultaFichaMatrizPredio.existenFichaMatrizPredio}">
        <legend>
            <h:outputText value="Generalidades de la propiedad horizontal"
                          styleClass="legendTitle" />
        </legend>

        <p:dataTable
            value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.fichaMatrizTorres}"
            var="torre" rowKey="#{torre.id}"
            emptyMessage="No se encontraron torres asociadas a la ficha matriz">

            <p:column>
                <f:facet name="header">  
                    Torre No
                </f:facet>
                <h:outputText value="#{torre.torre}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Total pisos torre
                </f:facet>
                <h:outputText value="#{torre.pisos}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Número unidades privadas
                </f:facet>
                <h:outputText value="#{torre.unidades}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Total sótanos
                </f:facet>
                <h:outputText value="#{torre.sotanos}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Total unidades en sótanos
                </f:facet>
                <h:outputText value="#{torre.unidadesSotanos}" />
            </p:column>

        </p:dataTable>

        <p:spacer height="10" width="0" />
        <h:panelGrid columns="2">

            <h:outputLabel value="Total torres: " styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{fn:length (consultaFichaMatrizPredio.fichaMatrizSearchResult.fichaMatrizTorres)}" />

            <h:outputLabel value="Total unidades privadas: "
                           styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.totalUnidadesPrivadas}" />

            <h:outputLabel value="Total unidades privadas en sotano: "
                           styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.totalUnidadesSotanos}" />

        </h:panelGrid>
    </p:fieldset>

    <p:fieldset
        rendered="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.condicionPropiedad eq 8 and consultaFichaMatrizPredio.existenFichaMatrizPredio}">
        <legend>
            <h:outputText value="Generalidades del condominio"
                          styleClass="legendTitle" />
        </legend>

        <h:outputLabel value="Total unidades privadas: "
                       styleClass="outputLabelStyle" />
        <h:outputText styleClass="outputTextStyle"
                      value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.totalUnidadesPrivadas}" />

    </p:fieldset>

    <p:spacer width="0" height="7" />
    <h:panelGrid columns="2" cellspacing="7">

        <p:fieldset
            rendered="#{consultaFichaMatrizPredio.existenFichaMatrizPredio}">
            <legend>
                <h:outputText value="Unidades privadas" styleClass="legendTitle" />
            </legend>

            <h:panelGrid columns="1">
                <h:panelGrid columns="5" cellspacing="7">

                    <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" />
                    <h:panelGrid columns="3" cellspacing="3">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.departamento.codigo} " />
                        <h:outputText styleClass="outputTextStyle" value="-" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.departamento.nombre}" />
                    </h:panelGrid>

                    <p:spacer width="7" height="0" />
                    <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                    <h:panelGrid columns="3" cellspacing="3">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.municipio.codigo}" />
                        <h:outputText styleClass="outputTextStyle" value="-" />
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.predio.municipio.nombre}" />
                    </h:panelGrid>

                </h:panelGrid>

                <p:dataTable
                    emptyMessage="No existen unidades privadas asociadas al predio."
                    value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.fichaMatrizPredios}"
                    var="uprivadas" rowKey="#{uprivadas.id}">

                    <p:column headerText="Número predial">
                        <h:outputText value="#{uprivadas.numeroPredial}" />
                    </p:column>

                    <p:column headerText="Coeficiente copropiedad">
                        <h:outputText value="#{uprivadas.coeficiente}">
                            <f:convertNumber minFractionDigits="10" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Valor avalúo" rendered="false">
                        <h:outputText value="#{uprivadas.valorAvaluo}"
                                      rendered="#{uprivadas.valorAvaluo gt -1}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>
                </p:dataTable>
            </h:panelGrid>
        </p:fieldset>

        <p:fieldset
            rendered="#{consultaFichaMatrizPredio.existenFichaMatrizPredio}">
            <legend>
                <h:outputText value="Tipos de modelos" styleClass="legendTitle" />
            </legend>

            <p:dataTable
                emptyMessage="No existen utipos de modelo asociados a la ficha matriz del predio."
                value="#{consultaFichaMatrizPredio.fichaMatrizSearchResult.fichaMatrizModelos}"
                var="model" rowKey="#{unocon.id}" rowStyleClass="outputODTextStyle">

                <p:column headerText="Tipo de modelo"
                          footerText="* Ubique el mouse sobre el modelo para ver el detalle">
                    <h:outputText value="#{model.nombre}" id="model"
                                  style="color:102587" />
                    <p:overlayPanel for="model" showEffect="blind" hideEffect="explode"
                                    showEvent="mouseover" hideEvent="mouseout"
                                    styleClass="ui-helper-clearfix">

                        <h:outputText value="#{model.nombre}"
                                      rendered="#{not empty model.fmModeloConstruccions}"
                                      styleClass="legendTitle" />
                        <p:dataList value="#{model.fmModeloConstruccions}"
                                    rendered="#{not empty model.fmModeloConstruccions}"
                                    var="unidadDelModeloConstruccion" itemType="square">  
                            &#8226;  #{unidadDelModeloConstruccion.usoConstruccion.nombre}  
                        </p:dataList>

                        <h:outputText
                            value="No existe un detalle para el modelo de construcción seleccionado"
                            rendered="#{empty model.fmModeloConstruccions}"
                            styleClass="outputTextStyle" />

                    </p:overlayPanel>
                </p:column>

            </p:dataTable>
        </p:fieldset>

    </h:panelGrid>

    <h:outputText value="No existe una ficha matriz asociada a este predio"
                  rendered="#{!consultaFichaMatrizPredio.existenFichaMatrizPredio}" />
</h:form>